GET /accounts/health

Health of every account (token validity, missing permissions, publishing limit, recommendations; cached 10 minutes)

GET
/accounts/health

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Query Parameters

refresh?"1"

Re-check with the platform instead of the 10-minute cache

Value in"1"

Response Body

{accounts}

application/json
  1. response
accounts?array<>
Example Request
curl -X GET 'https://example.com/api/v1/accounts/health'
Example Response
{  "accounts": [    {      "accountId": "string",      "platform": "string",      "accountName": "string",      "externalId": "string",      "status": "active",      "lastError": "string",      "tokenValid": true,      "tokenExpiresAt": "2019-08-24T14:15:22Z",      "expiresInDays": 0,      "scopes": [        "string"      ],      "scopesAssumed": true,      "missingPermissions": [        {          "permission": "string",          "features": [            "string"          ]        }      ],      "publishingLimit": {        "quotaUsage": 0,        "quotaTotal": 0,        "windowSeconds": 0,        "replyQuotaUsage": 0,        "replyQuotaTotal": 0      },      "profile": {},      "error": {        "category": "auth",        "message": "string"      },      "recommendations": [        "string"      ],      "checkedAt": "2019-08-24T14:15:22Z",      "cached": true    }  ]}